// gnome.xonotic.in.ua

textures/base_door/shinymetaldoor_outside
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/quake3sign_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/base_light/border7_ceil50
{
	qer_editorimage textures/base_light/border7_ceil50.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/border7_ceil50glow.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/jaildr1_3
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/jaildr1_3.blend.tga
		rgbgen wave sin 0.5 0.5 1 1
		blendfunc gl_one gl_one
	}
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
	surfaceparm clusterportal
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_light/ironcrosslt2_2000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gothic_light/ironcrosslt2_5000
{
	qer_editorimage textures/gothic_light/ironcrosslt2.tga
	q3map_lightimage textures/gothic_light/ironcrosslt2.blend.tga
	q3map_surfacelight 5000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/ironcrosslt2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/liquids/lavahelldark
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 150
	cull disable
	tesssize 128
	cull disable
	deformvertexes wave 100 sin 3 2 .1 0.1
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .2 0 .1
	}
}

textures/q3chaosdm2/eq2_banner
{
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	tesssize 64
	deformvertexes wave 30 sin 0 2 0 .2
	deformvertexes wave 100 sin 0 2 0 .7
	{
		map textures/q3chaosdm2/eq2_banner.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/q3chaosdm2/eq2lt_baselt03
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/q3chaosdm2/eq2_baselt03.blend.tga
	qer_editorimage textures/q3chaosdm2/eq2_baselt03.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_baselt03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_baselt03.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm2/eq2lt_baselt03b
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightimage textures/q3chaosdm2/eq2_baselt03b.blend.tga
	qer_editorimage textures/q3chaosdm2/eq2_baselt03b.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_baselt03b.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_baselt03b.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm2/eq2lt_spawnlite_1k
{
	surfaceparm nomarks
	q3map_surfacelight 1000
	q3map_lightimage textures/q3chaosdm2/eq2_weap_spawnlite.blend.tga
	qer_editorimage textures/q3chaosdm2/eq2_weap_spawnlite.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_weap_spawnlite.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_weap_spawnlite.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm2/eq2lt_trimlight_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/q3chaosdm2/eq2_trimlight_01.blend.tga
	qer_editorimage textures/q3chaosdm2/eq2_trimlight_01.tga
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_trimlight_01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/q3chaosdm2/eq2_trimlight_01.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/q3chaosdm2_light/ik_gtrimv_lit3b_1000
{
	q3map_lightimage textures/q3chaosdm2_light/ik_gtrimv_lit3b_glow.tga
	qer_editorimage textures/q3chaosdm2_light/ik_gtrimv_lit3b.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/q3chaosdm2_light/ik_gtrimv_lit3b.tga
		blendfunc blend
	}
	{
		map textures/q3chaosdm2_light/ik_gtrimv_lit3b_glow.tga
		tcmod scale -1 -1
		blendfunc add
		rgbgen wave noise .3 .2 0 1
	}
}

textures/skies/killsky
{
	qer_editorimage textures/skies/stars.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 3 2 2 70 315 65
	q3map_surfacelight 75
	skyparms - 512 -
	{
		map textures/skies/killsky_1.tga
		tcmod scroll 0.05 .1
		tcmod scale 2 2
	}
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.05 0.06
		tcmod scale 3 2
	}
}

